# List Pipelines

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Pipelines"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Lists all the pipelines in the workspace.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The name of the pipeline you want to list.","in":"query","name":"pipeline_name","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the pipeline you want to list.","title":"Pipeline Name"}},{"description":"Returns deleted pipelines.","in":"query","name":"deleted","required":false,"schema":{"default":false,"description":"Returns deleted pipelines.","title":"Deleted","type":"boolean"}},{"description":"The status of the pipelines you want to list.","in":"query","name":"status","required":false,"schema":{"anyOf":[{"enum":["UNDEPLOYED","DEPLOYED","DEPLOYMENT_IN_PROGRESS","UNDEPLOYMENT_IN_PROGRESS","DEPLOYMENT_FAILED","IDLE","ACTIVATING"],"type":"string"},{"type":"null"}],"description":"The status of the pipelines you want to list.","title":"Status"}},{"description":"The desired status of the pipelines you want to list.","in":"query","name":"desired_status","required":false,"schema":{"anyOf":[{"enum":["UNDEPLOYED","DEPLOYED"],"type":"string"},{"type":"null"}],"description":"The desired status of the pipelines you want to list.","title":"Desired Status"}},{"description":"The service level of the pipelines you want to list.","in":"query","name":"service_level","required":false,"schema":{"anyOf":[{"enum":["DRAFT","DEVELOPMENT","PRODUCTION"],"title":"PipelineServiceLevelWithDraftEnum","type":"string"},{"type":"null"}],"description":"The service level of the pipelines you want to list.","title":"Service Level"}},{"description":"Returns pipelines that support prompts.","in":"query","name":"supports_prompt","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Returns pipelines that support prompts.","title":"Supports Prompt"}},{"description":"The ID of the index you want to use for filtering.","in":"query","name":"pipeline_index_id","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"The ID of the index you want to use for filtering.","title":"Pipeline Index Id"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The name of the field you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"service_level,updated_at","description":"The name of the field you want to sort by.","enum":["created_at","name","service_level","created_by/user_id","created_by/given_name","created_by/family_name","service_level,created_at","updated_at","service_level,updated_at","desired_status","desired_status,updated_at"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"created_at":{"description":"Datetime object, specifies when the pipeline was created.","format":"date-time","title":"Pipeline Creation","type":"string"},"created_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who created the pipeline.","title":"Created by"},"deepset_cloud_version":{"description":"The version of deepset the pipeline was created with.","title":"deepset Version","enum":["v2"],"type":"string"},"deleted":{"default":false,"description":"Soft deletion of pipelines.","title":"Pipeline Deleted","type":"boolean"},"deployed_version_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"The ID of the pipeline version that is deployed.","title":"Deployed Version ID"},"desired_status":{"description":"Desired status of a pipeline. Possible values are: 'DEPLOYED' or 'UNDEPLOYED'. ","title":"Desired pipeline status","type":"string"},"gpu_enabled":{"description":"Indicates whether GPU acceleration is enabled for the pipeline. When enabled, the pipeline can use GPU resources for faster processing. If the pipeline doesn't require GPUs, it will run on CPU regardless of this setting.","readOnly":true,"title":"GPU Enabled","type":"boolean"},"idle_timeout_in_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The time in seconds after which the pipeline is put on standby if it's not used. ","title":"Pipeline Idle Timeout"},"is_default":{"description":"Pipeline is set to default.","title":"Pipeline is default","type":"boolean"},"last_deployed_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Datetime object, specifies when the pipeline was last deployed.","title":"Last deployment time"},"last_edited_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Datetime object, specifies when the pipeline was edited.","title":"Last update time"},"last_edited_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who last edited the pipeline.","title":"Last edited by user"},"max_query_replica_count":{"description":"The maximum number of query replicas for the pipeline. This determines the upper limit for scaling the pipeline.","title":"Maximum Query Replica Count","type":"integer"},"min_query_replica_count":{"description":"The minimum number of query replicas for the pipeline. This determines the baseline number of replicas that will always be running.","title":"Minimum Query Replica Count","type":"integer"},"name":{"description":"Name of the pipeline.","title":"Pipeline Name","type":"string"},"output_type":{"description":"Specifies the type of output the pipeline returns. Possible values are: 'generative', 'extractive', 'chat', or 'document'.","title":"Pipeline output type","type":"string"},"pipeline_id":{"description":"Unique identifier of a pipeline.","format":"uuid","title":"Pipeline ID","type":"string"},"running_version_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"The ID of the pipeline version that is currently running.","title":"Running Version ID"},"service_level":{"description":"Service level determines the infrastructure and availability requirements for a pipeline. Pipelines at 'PRODUCTION' service level have an extended active period before they enter the standby mode and offer enhanced scalability. 'DEVELOPMENT' pipelines enter standby after 20 minutes and lack scalability in case of any infrastructure issues.","title":"Pipeline Service Level","enum":["DRAFT","DEVELOPMENT","PRODUCTION"],"type":"string"},"status":{"description":"The current status of a pipeline. ","title":"Query pipeline status (deprecated).","type":"string"},"supports_prompt":{"description":"Indicates whether the pipeline supports prompts.","title":"Pipeline supports prompt","type":"boolean"},"updated_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Datetime object, specifies when the pipeline was last updated.","title":"Pipeline Last Update"}},"required":["name","pipeline_id","status","desired_status","created_at","is_default","supports_prompt","output_type","service_level","idle_timeout_in_seconds","deepset_cloud_version","deployed_version_id","min_query_replica_count","max_query_replica_count","gpu_enabled"],"title":"Pipeline Object","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[Pipeline]","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
